﻿@{
    ViewData["Author"]              = ViewData["Author"] != null ? ViewData["Author"] : "leoham.net";
    ViewData["PageParentName"]      = ViewData["PageParentName"] != null ? ViewData["PageParentName"] : "";
    ViewData["PageName"]            = ViewData["PageName"] != null ? ViewData["PageName"] : "";
    ViewData["MenuType"]            = ViewData["MenuType"] != null ? ViewData["MenuType"] : "";

}
 
<html lang="en">
<head>
    <title>@ViewData["PageName"]</title>
    <meta charset="utf-8">
    <meta http-equiv="Content-Security-Policy" content="upgrade-insecure-requests">
    <meta http-equiv="X-UA-Compatible" content="IE=Edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <meta name="description" content="@ViewData["Description"]">
    <meta name="author" content="@ViewData["Author"]">

    <link rel="icon" href="~/lib/assets/images/favicon.ico" type="image/x-icon">
    <!-- VENDOR CSS -->
    <link rel="stylesheet" href="~/admin/css/main.css">
    <link rel="stylesheet" href="~/lib/assets/css/main.css">
    @RenderSection("css", required: false)
</head>
<body class="theme-orange">
    <!-- Page Loader -->
    <div class="page-loader-wrapper">
        <div class="loader">
            <div class="m-t-30">
                <img src="~/lib/assets/images/logo-icon.svg" width="48" height="48" alt="Lucid">
            </div>
            <p>Please wait...</p>
        </div>
    </div>
    <!-- Overlay For Sidebars -->

    <div id="wrapper">
        @await Html.PartialAsync("navbar/_navbar")

        @await Html.PartialAsync("sidebar/_leftsidebar")
        <div id="main-content">
            <div class="container-fluid">
                @await Html.PartialAsync("navbar/_block_header")

                @RenderBody()
            </div>
        </div>
    </div>
    <script src="~/admin/js/main.min.js"></script>
    <script>
        var parentname = "@Html.Raw(ViewData["PageParentName"].ToString())";
        var pagename = "@Html.Raw(ViewData["PageName"].ToString())";
    </script>

    <script src="https://code.jquery.com/jquery-migrate-3.0.0.min.js"></script>
    @RenderSection("Scripts", required: false)
    <script src="~/lib/signalr/dist/browser/signalr.js"></script>

    <script src="~/js/notification.js"></script>
    <script>
        $(document).ready(function () {
            setTimeout(function () {
                activemenu(parentname, pagename);
            }, 500);
        });
        function ready() {
        }
        //random number between 1 and 100 for demo
        var userId = Math.floor((Math.random() * 100) + 1); document.addEventListener("DOMContentLoaded", ready);
    </script>

</body>
</html>